Skip to main content
GET
/
trade-items
Get Trade Items
curl --request GET \
  --url https://api.example.com/trade-items
import requests

url = "https://api.example.com/trade-items"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/trade-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "name": "<string>",
    "tradeItemTag": {
      "id": "<string>",
      "code": "<string>",
      "name": "<string>",
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deleted": true,
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  }
]

Query Parameters

page
number
default:1

Page number (1-based)

limit
number
default:10

Number of items per page

Response

200 - application/json

The trade items have been successfully retrieved

id
string
required

The id of the trade item

name
string
required

The name of the trade item

tradeItemTag
object

The tag associated with the trade item